PyTorch Installing Error on Fedora

Fedora Workstation 39, Python 3.12.0, PIP 23.3.1
I don’t have PyTorch installed, it gives this error:

python3 -m pip install torch torchvision torchaudio --index-url https://download.pytorch.org/whl/cpu
Defaulting to user installation because normal site-packages is not writeable
Looking in indexes: https://download.pytorch.org/whl/cpu
ERROR: Could not find a version that satisfies the requirement torch (from versions: none)
ERROR: No matching distribution found for torch

Help me solve it, please.

Downgrade Python to 3.10 or 3.11 and it should work.

How to downgrade cos I tried several times which did’t work

I would recommend asking in a Fedora-specific discussion board if you have trouble installing a defined Python version.